2017-11-12 55 views
5

kadar kolay Kotlin'in JVM 9'u Gradle ile nasıl hedeflenir? Gradle ile KOTLIN üzerinde JVM 1.8 Hedefleme

compileKotlin { 
    kotlinOptions { 
     jvmTarget = "1.8" 
    } 
} 

gibidir Ama sadece 9 veya 1.9 için jvmTarget değiştirirseniz o Java 9 için çalışmaz. Nasıl yapabilirim?

+0

Gradle hangi sürümünü kullandınız? –

+0

Gradle v4.2.1 – MrPNG

+5

'u kullandım. Hiç özel bir "1.9" modu olmadığını düşünüyorum. JvmTarget = "1.8" yi bırakın ve olduğu gibi çalışmalıdır. – voddan

cevap